Package org.h2gis.functions.io.gpx

## Class GPXDriverFunction

- java.lang.Object
- - org.h2gis.functions.io.gpx.GPXDriverFunction

All Implemented Interfaces:
  `org.h2gis.api.DriverFunction`

    public class GPXDriverFunction
    extends Object
    implements org.h2gis.api.DriverFunction

This class is used to read a GPX file

Author:
  Erwan Bocher, Sylvain PALOMINOS (UBS 2019)

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.h2gis.api.DriverFunction

`org.h2gis.api.DriverFunction.IMPORT_DRIVER_TYPE`

### Field Summary

Fields
`static String` `DESCRIPTION`

### Constructor Summary

Constructors
`GPXDriverFunction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `exportTable​(Connection connection, String tableReference, File fileName, boolean deleteFiles, org.h2gis.api.ProgressVisitor progress)`
`String[]` `exportTable​(Connection connection, String tableReference, File fileName, String options, boolean deleteFiles, org.h2gis.api.ProgressVisitor progress)`
`String[]` `exportTable​(Connection connection, String tableReference, File fileName, String options, org.h2gis.api.ProgressVisitor progress)`
`String[]` `exportTable​(Connection connection, String tableReference, File fileName, org.h2gis.api.ProgressVisitor progress)`
`String[]` `getExportFormats()`
`String` `getFormatDescription​(String format)`
`org.h2gis.api.DriverFunction.IMPORT_DRIVER_TYPE` `getImportDriverType()`
`String[]` `getImportFormats()`
`String[]` `importFile​(Connection connection, String tableReference, File fileName, boolean deleteTables, org.h2gis.api.ProgressVisitor progress)`
`String[]` `importFile​(Connection connection, String tableReference, File fileName, String encoding, boolean deleteTables, org.h2gis.api.ProgressVisitor progress)`
`String[]` `importFile​(Connection connection, String tableReference, File fileName, String options, org.h2gis.api.ProgressVisitor progress)`
`String[]` `importFile​(Connection connection, String tableReference, File fileName, org.h2gis.api.ProgressVisitor progress)`
`boolean` `isSpatialFormat​(String extension)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DESCRIPTION

    public static String DESCRIPTION

### Constructor Detail

#### GPXDriverFunction

    public GPXDriverFunction()

### Method Detail

#### getImportDriverType

    public org.h2gis.api.DriverFunction.IMPORT_DRIVER_TYPE getImportDriverType()

Specified by:
  `getImportDriverType` in interface `org.h2gis.api.DriverFunction`

#### getImportFormats

    public String[] getImportFormats()

Specified by:
  `getImportFormats` in interface `org.h2gis.api.DriverFunction`

#### getExportFormats

    public String[] getExportFormats()

Specified by:
  `getExportFormats` in interface `org.h2gis.api.DriverFunction`

#### getFormatDescription

    public String getFormatDescription​(String format)

Specified by:
  `getFormatDescription` in interface `org.h2gis.api.DriverFunction`

#### isSpatialFormat

    public boolean isSpatialFormat​(String extension)

Specified by:
  `isSpatialFormat` in interface `org.h2gis.api.DriverFunction`

#### exportTable

    public String[] exportTable​(Connection connection,
                                String tableReference,
                                File fileName,
                                org.h2gis.api.ProgressVisitor progress)
                         throws SQLException,
                                IOException

Specified by:
  `exportTable` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`

#### exportTable

    public String[] exportTable​(Connection connection,
                                String tableReference,
                                File fileName,
                                boolean deleteFiles,
                                org.h2gis.api.ProgressVisitor progress)
                         throws SQLException,
                                IOException

Specified by:
  `exportTable` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`

#### exportTable

    public String[] exportTable​(Connection connection,
                                String tableReference,
                                File fileName,
                                String options,
                                boolean deleteFiles,
                                org.h2gis.api.ProgressVisitor progress)
                         throws SQLException,
                                IOException

Specified by:
  `exportTable` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`

#### exportTable

    public String[] exportTable​(Connection connection,
                                String tableReference,
                                File fileName,
                                String options,
                                org.h2gis.api.ProgressVisitor progress)
                         throws SQLException,
                                IOException

Specified by:
  `exportTable` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`

#### importFile

    public String[] importFile​(Connection connection,
                               String tableReference,
                               File fileName,
                               String encoding,
                               boolean deleteTables,
                               org.h2gis.api.ProgressVisitor progress)
                        throws SQLException,
                               IOException

Specified by:
  `importFile` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`

#### importFile

    public String[] importFile​(Connection connection,
                               String tableReference,
                               File fileName,
                               org.h2gis.api.ProgressVisitor progress)
                        throws SQLException,
                               IOException

Specified by:
  `importFile` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`

#### importFile

    public String[] importFile​(Connection connection,
                               String tableReference,
                               File fileName,
                               String options,
                               org.h2gis.api.ProgressVisitor progress)
                        throws SQLException,
                               IOException

Specified by:
  `importFile` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`

#### importFile

    public String[] importFile​(Connection connection,
                               String tableReference,
                               File fileName,
                               boolean deleteTables,
                               org.h2gis.api.ProgressVisitor progress)
                        throws SQLException,
                               IOException

Specified by:
  `importFile` in interface `org.h2gis.api.DriverFunction`
Parameters:
  `connection` - Active connection, do not close this connection.
  `tableReference` - prefix uses to store the GPX tables
  `fileName` - File path to read
  `progress` - Progress visitor following the execution.
  `deleteTables` - true to delete the existing tables
Throws:
  `SQLException`
  `IOException`